com.singularsys.jeptests.system

## Class BigDecimalTest

- java.lang.Object
- - com.singularsys.jeptests.system.BigDecimalTest

-     public class BigDecimalTest
      extends java.lang.Object

  Tests the BigDecComponents through a set of test expressions that are evaluated.
  Author:
    singularsys

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BigDecimalTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `Abs()`
    `void` | `Avg()`
    `void` | `cmpBug()` Check for problems where MinMax used comparision which worked by first coverting to doubles.
    `java.lang.Object` | `eval(java.lang.String str)`
    `void` | `evalExceptionTest(java.lang.String expr)`
    `void` | `exprEquals(java.lang.String expr, java.lang.Object expected)`
    `void` | `limitedPrecisionTest()`
    `void` | `MinMax()`
    `void` | `Round()`
    `void` | `Signum()`
    `void` | `test(java.lang.String str, boolean value)` Test expression against boolean
    `void` | `test(java.lang.String str, java.lang.String value)`
    `void` | `testBDString()` Tests inter-operability of big decimals and strings.
    `void` | `testBoolean()`
    `void` | `testCoerce()`
    `void` | `testCP()`
    `void` | `testIf()`
    `void` | `testSetAllowStrings()`
    `void` | `unlimitedPrecisionTest()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BigDecimalTest

          public BigDecimalTest()

  - ### Method Detail

    - #### unlimitedPrecisionTest

          public void unlimitedPrecisionTest()

    - #### cmpBug

          public void cmpBug()

      Check for problems where MinMax used comparision which worked by first coverting to doubles.

    - #### limitedPrecisionTest

          public void limitedPrecisionTest()

    - #### test

          public void test(java.lang.String str,
                           boolean value)

      Test expression against boolean
      Parameters:
        `str` -
        `value` -

    - #### test

          public void test(java.lang.String str,
                           java.lang.String value)

    - #### eval

          public java.lang.Object eval(java.lang.String str)

    - #### testCP

          public void testCP()
                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### exprEquals

          public void exprEquals(java.lang.String expr,
                                 java.lang.Object expected)
                          throws JepException

      Throws:
        `JepException`

    - #### evalExceptionTest

          public void evalExceptionTest(java.lang.String expr)
                                 throws JepException

      Throws:
        `JepException`

    - #### testSetAllowStrings

          public void testSetAllowStrings()
                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testBoolean

          public void testBoolean()
                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testBDString

          public void testBDString()
                            throws java.lang.Exception

      Tests inter-operability of big decimals and strings.
      Throws:
        `java.lang.Exception`

    - #### Abs

          public void Abs()
                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### Round

          public void Round()
                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### Signum

          public void Signum()
                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### MinMax

          public void MinMax()
                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### Avg

          public void Avg()
                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testIf

          public void testIf()
                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testCoerce

          public void testCoerce()
                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

Copyright © 2018 Singular Systems http://www.singularsys.com/jep